org.apache.lucene.index

## Class MergePolicyWrapper

- java.lang.Object
- - org.apache.lucene.index.MergePolicy
  - - org.apache.lucene.index.FilterMergePolicy
    - - org.apache.lucene.index.MergePolicyWrapper

Deprecated.
replace with FilterMergePolicy

    @Deprecated
    public class MergePolicyWrapper
    extends FilterMergePolicy

A wrapper for `MergePolicy` instances.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.MergePolicy

`MergePolicy.MergeAbortedException, MergePolicy.MergeContext, MergePolicy.MergeException, MergePolicy.MergeSpecification, MergePolicy.OneMerge, MergePolicy.OneMergeProgress`

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilterMergePolicy

`in`

### Fields inherited from class org.apache.lucene.index.MergePolicy

`DEFAULT_MAX_CFS_SEGMENT_SIZE, DEFAULT_NO_CFS_RATIO, maxCFSSegmentSize, noCFSRatio`

### Constructor Summary

Constructors
Constructor and Description
`MergePolicyWrapper(MergePolicy in)` Deprecated. Creates a new merge policy instance wrapping another.

### Method Summary

### Methods inherited from class org.apache.lucene.index.FilterMergePolicy

`findForcedDeletesMerges, findForcedMerges, findMerges, getMaxCFSSegmentSizeMB, getNoCFSRatio, keepFullyDeletedSegment, numDeletesToMerge, setMaxCFSSegmentSizeMB, setNoCFSRatio, size, toString, useCompoundFile`

### Methods inherited from class org.apache.lucene.index.MergePolicy

`assertDelCount, isMerged, message, segString, verbose`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MergePolicyWrapper

    public MergePolicyWrapper(MergePolicy in)

Deprecated.
Creates a new merge policy instance wrapping another.

Parameters:
  `in` - the wrapped `MergePolicy`